Growth

Inventory intelligence

GET
/api/v1/inventory

Stock levels with days of cover, stockout risk, revenue at risk and a recommended action. The system never purchases anything itself.

Authorization

HTTPBearer
AuthorizationBearer <token>

JWT access token

In: header

Query Parameters

merchant_id?|

Optional merchant to act on. Must be one you are a member of.

Formatuuid

Header Parameters

X-Merchant-ID?string|null

Response Body

application/json

application/json

curl -X GET "https://example.com/api/v1/inventory"
{  "data": {    "at_risk_items": 0,    "critical": [      {        "avg_daily_demand": 0,        "days_of_cover": 0,        "id": "497f6eca-6276-4993-bfeb-53cbbbba6f08",        "last_restocked_at": "2019-08-24T14:15:22Z",        "lead_time_days": 0,        "product_id": "0d012afa-f885-4e65-aeca-37e27701e2d1",        "product_name": "string",        "quantity_on_hand": 0,        "recommendation": "string",        "reorder_point": 0,        "reorder_quantity": 0,        "revenue_at_risk": 0,        "sku": "string",        "status": "string",        "stockout_risk": 0,        "supplier": "string",        "unit": "string",        "unit_cost": 0      }    ],    "items": [      {        "avg_daily_demand": 0,        "days_of_cover": 0,        "id": "497f6eca-6276-4993-bfeb-53cbbbba6f08",        "last_restocked_at": "2019-08-24T14:15:22Z",        "lead_time_days": 0,        "product_id": "0d012afa-f885-4e65-aeca-37e27701e2d1",        "product_name": "string",        "quantity_on_hand": 0,        "recommendation": "string",        "reorder_point": 0,        "reorder_quantity": 0,        "revenue_at_risk": 0,        "sku": "string",        "status": "string",        "stockout_risk": 0,        "supplier": "string",        "unit": "string",        "unit_cost": 0      }    ],    "provenance": {      "data_source": "SEEDED",      "is_simulated": true,      "note": "Seeded demo dataset - not computed from a live PayPal merchant account."    },    "total_items": 0,    "total_revenue_at_risk": 0,    "total_stock_value": 0  },  "meta": {},  "success": true}